Skip to main content

Type Alias: GatewayInferenceComputerToolCallOutputResource

type GatewayInferenceComputerToolCallOutputResource = {
[key: string]: unknown;
type: "computer_call_output";
id: string;
call_id: string;
acknowledged_safety_checks?: GatewayInferenceComputerToolCallSafetyCheck[];
output: GatewayInferenceComputerScreenshotImage;
status?: "in_progress" | "completed" | "incomplete";
};

Defined in: src/models/ai-gateway-inference.ts:6685

Portkey ComputerToolCallOutputResource; additive response fields are preserved.

Example​

`GatewayInferenceComputerToolCallOutputResourceSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "computer_call_output";

Defined in: src/models/ai-gateway-inference.ts:6686


id​

id: string;

Defined in: src/models/ai-gateway-inference.ts:6687


call_id​

call_id: string;

Defined in: src/models/ai-gateway-inference.ts:6688


acknowledged_safety_checks?​

optional acknowledged_safety_checks?: GatewayInferenceComputerToolCallSafetyCheck[];

Defined in: src/models/ai-gateway-inference.ts:6689


output​

output: GatewayInferenceComputerScreenshotImage;

Defined in: src/models/ai-gateway-inference.ts:6690


status?​

optional status?: "in_progress" | "completed" | "incomplete";

Defined in: src/models/ai-gateway-inference.ts:6691